List transactions
curl --request GET \
--url https://api.getlemma.com/v0/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "transaction_Wp5mRx3nKv8bTh2d",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": 325000,
"card_id": null,
"occurred_at": "2026-03-12T16:45:00Z",
"source": {
"category": "lemma_customer_deposit_bonus"
},
"counterparty": null
},
{
"id": "transaction_Fy7cNw4hBk9tXj6s",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -150000,
"card_id": null,
"occurred_at": "2026-03-11T10:20:00Z",
"source": {
"category": "ach_transfer_intention"
},
"counterparty": {
"type": "external_account",
"external_account": {
"id": "external_account_Bx5nTm8hKw3pVd7c"
}
}
},
{
"id": "transaction_Km2vRt6qCd9wLp4x",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -8750,
"card_id": "card_Nx8jQw2mVt5hRb3k",
"occurred_at": "2026-03-10T09:15:00Z",
"source": {
"category": "card_settlement",
"card_settlement": {
"merchant_category_code": "5812",
"merchant_country": "US",
"presentment_amount": -8750,
"presentment_currency": "USD"
}
},
"counterparty": null
}
],
"has_next": true,
"cursor": "eyJvY2N1cmVkX2F0IjoiMjAyNi0wMy0xMVQxMDoyMDowMFoiLCJpZCI6InRyYW5zYWN0aW9uX0Z5N2NOdzRoQms5dFhqNnMifQ"
}
Transactions
List transactions
Retrieve a paginated list of transactions for a bank account.
GET
/
v0
/
transactions
List transactions
Returns transactions ordered by most recent first. Results are paginated.
Query parameters
string
required
Filter transactions to a specific bank account, prefixed with
account_. You
can find account IDs using the List bank
accounts endpoint.integer
default:"10"
The number of transactions to return. Maximum is 100.
string
Cursor from the previous response. Omit to fetch from the beginning.
Response
object[]
The list of transaction objects for the requested page.
Show Transaction object
Show Transaction object
string
Unique identifier for the transaction.
string
The ID of the bank account this transaction belongs to.
integer
The transaction amount in cents. Positive for credits (money in), negative
for debits (money out).
string | null
The ID of the card that produced this transaction.
null for transactions
that did not originate from a card.object
Information about the origin of the transaction.
Show Source object
Show Source object
string
The type of transaction source. We will add additional values for this
enum over time; your application should be able to handle such additions
gracefully. Not every transaction source will have additional details.
object
Show Account Transfer Intention object
Show Account Transfer Intention object
string
The description given to this internal transfer between accounts.
object
object
A payment received from a patient or payer via credit card.
object
A fee charged for processing a card payment.
object
A chargeback dispute initiated by the cardholder.
object
A fee charged by the card processor for handling a chargeback dispute.
object
A reversal of a chargeback that was previously filed by the cardholder.
object
A refund issued to a patient or payer who paid via credit card.
object
A fee charged by the card processor for handling a refund.
object
object
object
object
object
object
Show Inbound ACH Transfer object
Show Inbound ACH Transfer object
object
object
object
Show Inbound Wire Transfer object
Show Inbound Wire Transfer object
string | null
The Fedwire input message accountability data (IMAD).
string | null
The name of the sender.
string | null
The sender’s address.
string | null
The name of the creditor.
string | null
Free-form remittance information.
string | null
The end-to-end ID.
string | null
The unique end-to-end transaction reference (UETR).
object
A payment of an invoice between Lemma accounts.
object
A deposit bonus credited by Lemma.
object
A fee charged by Lemma.
object
A recurring subscription fee charged by Lemma.
object
A loan draw from or a payment toward a Lemma loan.
object
Show Real-Time Payments Transfer Acknowledgement object
Show Real-Time Payments Transfer Acknowledgement object
string | null
Free-form remittance information.
object | null
The other party in the transaction, if known.
Show Counterparty object
Show Counterparty object
string
The kind of account the counterparty is. One of
bank_account,
external_account, or fixed_fee_loan.object | null
Show Bank account object
Show Bank account object
string
The Lemma bank account ID of the other account in the transfer.
object | null
Show External account object
Show External account object
string
The saved recipient ID the
money was sent to.
boolean
Whether more transactions exist after this page.
string | null
Pass this value as
cursor on the next request to fetch the following page.
null when this is the last page.{
"data": [
{
"id": "transaction_Wp5mRx3nKv8bTh2d",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": 325000,
"card_id": null,
"occurred_at": "2026-03-12T16:45:00Z",
"source": {
"category": "lemma_customer_deposit_bonus"
},
"counterparty": null
},
{
"id": "transaction_Fy7cNw4hBk9tXj6s",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -150000,
"card_id": null,
"occurred_at": "2026-03-11T10:20:00Z",
"source": {
"category": "ach_transfer_intention"
},
"counterparty": {
"type": "external_account",
"external_account": {
"id": "external_account_Bx5nTm8hKw3pVd7c"
}
}
},
{
"id": "transaction_Km2vRt6qCd9wLp4x",
"account_id": "account_Rv4nBt8xKw2pMh6s",
"amount": -8750,
"card_id": "card_Nx8jQw2mVt5hRb3k",
"occurred_at": "2026-03-10T09:15:00Z",
"source": {
"category": "card_settlement",
"card_settlement": {
"merchant_category_code": "5812",
"merchant_country": "US",
"presentment_amount": -8750,
"presentment_currency": "USD"
}
},
"counterparty": null
}
],
"has_next": true,
"cursor": "eyJvY2N1cmVkX2F0IjoiMjAyNi0wMy0xMVQxMDoyMDowMFoiLCJpZCI6InRyYW5zYWN0aW9uX0Z5N2NOdzRoQms5dFhqNnMifQ"
}
⌘I